# Class CodecsChangeEvent

#### Hierarchy (view full)

- BasePlayerEvent
  - CodecsChangeEvent

#####
Index

### Constructors

constructor

### Properties

codecsChangeInfo
type

## Constructors

### constructor

- new CodecsChangeEvent(codecsChangeInfo): CodecsChangeEvent

- #### Parameters

  - codecsChangeInfo: CodecsChangeInfo

  #### Returns CodecsChangeEvent

  Overrides BasePlayerEvent.constructor

## Properties

### `Readonly` codecsChangeInfo

codecsChangeInfo: CodecsChangeInfo

### `Readonly` type

type: "codecschange" = Events.CodecsChange

Overrides BasePlayerEvent.type